macos - nodejs - update npm




Aktualisieren Sie NodeJS auf die neueste Version unter Mac OS (10)

Derzeit verwende ich NodeJS v0.6.16 auf Mac OS X 10.7.4. Jetzt möchte ich es auf den neuesten NodeJS v0.8.1 upgraden. Aber nachdem ich die neueste Paketdatei von nodejs.org heruntergeladen und installiert habe, habe ich festgestellt, dass das System immer noch v0.6.16 anstelle von v0.8.1 verwendet, als ich "node -v" in ein Terminal eingegeben habe. Gibt es einen Schritt, den ich verpasst habe? Oder sollte ich die alte Version gründlich deinstallieren, bevor ich die neueste installiere?

BTW, ich weiß, dass nvm helfen kann, das nodejs Paket zu handhaben

https://github.com/creationix/nvm/

Gibt es eine Möglichkeit, die Nodejs zu aktualisieren, ohne sie zu verwenden?

Ich habe dieses Problem gegooglet, aber es scheint mir, dass es für die neueste NodeJS keine sehr klare Antwort auf diese Frage gibt. Danke vielmals.


Gehen Sie einfach zu Knoten JS Website und installieren Sie die neueste Version.

Installieren Sie die neueste Version anstelle der empfohlenen stabilen Version. Es gibt Ihnen die Freiheit, die neuesten ES6-Funktionen auf dem Knoten zu verwenden.

Kann hier gefunden werden Node.js .

Um auch npm zu aktualisieren, müssen Sie diesen Befehl verwenden.

sudo npm i -g [email protected]

Alle Ihre Projekte werden gut funktionieren.

Andere Option für mac :: brew update && brew install node && npm -g npm


Auf MacOS ist der von Homebrew empfohlene Weg zu laufen

brew install node
npm install -g [email protected]


Du kannst rennen, aber du kannst dich nicht verstecken ... Am Ende wirst du sowieso nvm benutzen.


Gehe zur Website nodejs.org und lade das neueste Paket herunter und installiere es dann. Für mich geht das

Ich habe Brew verwendet, um meinen Knoten zu aktualisieren. Es wurde installiert, aber es befindet sich in /usr/local/Cellar/node/5.5.0 und es gibt einen Standardknoten in /usr/local/bin/node der mich stört. Ich möchte keine weiche Verbindung herstellen, weil ich nicht wirklich weiß, wie Gebräu organisiert ist. Also pkg ich die pkg Datei herunter, installiert und ich habe diese Information:

Node.js wurde bei installiert

/usr/local/bin/node

npm wurde installiert bei

/usr/local/bin/npm

Stellen Sie sicher, dass sich /usr/local/bin in Ihrem $ PATH befindet.

Jetzt ist das Upgrade abgeschlossen


Hier ist, wie ich erfolgreich von v0.8.18 zu v0.10.20 ohne andere Anforderungen wie brauen usw., (geben Sie diese Befehle im Terminal):

  1. sudo npm cache clean -f (force) löscht den npm-cache
  2. sudo npm install -gn install "n" (das könnte eine Weile dauern)
  3. sudo n stable Upgrade auf die neueste Version

Beachten Sie, dass sudo möglicherweise Ihr Passwort anfordert.

Wenn die Versionsnummer beim Eingeben von node -v nicht node -v , müssen Sie möglicherweise einen Neustart durchführen.

Diese Anweisungen finden Sie auch hier: davidwalsh.name/upgrade-nodejs


Ich benutze dafür den Knoten Versionsmanager (n genannt).

npm install -g n

dann

n latest

ODER

n stable

Ich denke, der einfachste Weg, die neueste Version von Node.js zu verwenden, ist, die neueste Pkg-Datei Node.js auf der Website https://nodejs.org/en/download/current/ wenn Sie eine andere Version von Node verwenden möchten .js können Sie nvm oder n verwenden, um es zu verwalten.


Sie können einfach zu nodejs.org gehen und das neueste Paket herunterladen. Es wird entsprechend für Sie aktualisiert. NPM wird ebenfalls aktualisiert.


Verwenden Sie nvm, um den Knoten gemäß den Projektanforderungen zu aktualisieren.

install nvm durch homebrew .. brew update brew installieren nvm mkdir ~ /. nvm nano ~ / .bash_profile

Fügen Sie in Ihrer Datei .bash_profile (Sie verwenden möglicherweise eine andere Datei entsprechend Ihrer Shell) Folgendes hinzu:

export NVM_DIR = ~ / .nvm Quelle $ (brew --prefix nvm) /nvm.sh

source ~ / .bash_profile echo $ NVM_DIR


Wenn Sie Node.js ursprünglich mit Homebrew installiert haben, führen Sie Folgendes aus:

brew update
brew upgrade node
npm install -g npm

Oder als One-Liner:

brew update && brew upgrade node && npm install -g npm

Wenn Sie über ein Paket installiert haben, laden Sie die neueste Version von nodejs.org . Dies ist jetzt die empfohlene Methode zum Installieren von Knoten (> 4.0)

Siehe nodejs.org .

Hinweis : Wenn Sie npm --version > = 2.7.1 haben, können Sie install (oben) durch update ersetzen.





upgrade